backend:
  name: gitlab
  repo: spectat/willbordell/willbordell.co.uk
  auth_type: implicit
  app_id: 4c24780dae0834d6d80333a6069b2e51c21c77290a6e11411fab116510076b0e
media_folder: 'assets/img/'
public_folder: 'assets/img/'
collections:
  - name: 'pages'
    label: 'Pages'
    files:
      - label: 'About the Author'
        name: 'about-the-author'
        file: 'about-the-author.md'
        fields:
          - label: 'Title'
            name: 'title'
            widget: 'string'
          - label: 'Body'
            name: 'body'
            widget: 'markdown'
  - name: 'posts'
    label: 'Blog Post'
    folder: '_posts'
    create: true
    sort: "date:desc" # Default is title:asc
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - label: 'Title'
        name: 'title'
        widget: 'string'
      - label: 'Publish Date'
        name: 'date'
        widget: 'date'
      - label: 'Body'
        name: 'body'
        widget: 'markdown'
      - label: 'Categories (space separated)'
        name: 'categories'
        widget: 'string'
        required: false
      - label: 'Tags (space separated)'
        name: 'tags'
        widget: 'string'
        required: false
      - label: 'Original URL'
        name: 'canonical_url'
        widget: 'string'
        required: false
